Skip to main content

xsom for JDK 1.4

1 reply [Last post]
kirillcool
Offline
Joined: 2004-11-17

Starting a few weeks ago, xsom project has been ported to JDK 5.0. Although this library is an integral part of JAXB 2.0 (which requires JDK 5.0), xsom is provided as a standalone library.

As noted on the project homepage, RetroWeaver is used to provide a 1.4-compliant implementation.

The questions:
1. Is xsom regularly tested for backwards compatibility (meaning that it can run) on all the major test schemas?
2. Is there a possibility of eventual discontinuation of JDK 1.4 support in this library?

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
kohsuke
Offline
Joined: 2003-06-09

> 1. Is xsom regularly tested for backwards compatibility (meaning that it can run) on all the major test schemas?

Yes, by the JAXB RI tests.

> 2. Is there a possibility of eventual discontinuation of JDK 1.4 support in this library?

I guess it's possible, but right now I plan to continue to support JDK 1.4.

The only reason I want to use Tiger is for language features (such as generics), not the core library features. So retroweaver should work just fine.